// Curation Plugin for WordPress
var tid = 0, cid = 0;
var phrase = '';

function format_result(string, title, lnk, vid)
{
	var out = '';

	tid = tid + 1;
	cid = cid + 1;

	out = out + '<span style="float:left;">';
	out = out + '<img class="sv-draft" src="' + baseurl + 'css/images/save.png" alt="Save as Draft" onclick="save_draft(\'tid_' + tid + '\',\'cid_' + cid + '\');" />';
	out = out + '</span>';
	out = out + '<div class="result-div">';
	out = out + '<span style="float:right;">';
	out = out + '<input type="button" class="res-button" onclick="title_gen(\'tid_' + tid + '\');" value = "Set As Post Title" />';
	out = out + '<input type="button" class="res-button" onclick="insert_res_post(\'cid_' + cid + '\');" value = "Insert Result to Post" />';
	out = out + '<input type="button" class="res-button" onclick="insert_link(\'lnk_' + tid + '\');" value = "Insert Link Only" /></span>';
	out = out + '<span id="tid_'+ tid +'" style="position:absolute; visibility:hidden;">';
	out = out + title;
	out = out + '</span>';
	out = out + '<span id="lnk_'+ tid +'" style="position:absolute; visibility:hidden;">';
	out = out + lnk;
	out = out + '</span>';
	out = out + '<span id="cid_'+ cid +'" style="width:80%;">';
	out = out + string;
	out = out + '</span>';
	
	out = out + '</div>';

	return out;
}

function insert_res_post(cont_id)
{
	document.getElementById("post-content").value = document.getElementById("post-content").value + document.getElementById(cont_id).innerHTML + '<p></p>';
}

/* Save Draft Function */
function showResult(data) {
	alert(data);
}

function save_draft()
{   		
	jQuery("#draft_form").ajaxSubmit({success:showResult});
}
/* End Save Draft Function */

//function to get random number
function rand_id(minVal,maxVal)
{
  var randVal = minVal+(Math.random()*(maxVal-minVal));
  return Math.round(randVal);
}

function search_google ()  // google
{   
	result_div_gweb = '#results-gweb';
	tmp = 1;

	// request query
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/web?q="+escape(phrase)+"&v=1.0&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			jQuery.each(data.responseData.results, function(i,item){
			var res = ''; 
			res = res +'<a target="_blank" href="'+ item.url +'"><strong>'+ item.titleNoFormatting+'</strong></a>' 
			res = res + '<br>'+ item.url +' <br>' + item.content;
			output = output + format_result(res, item.titleNoFormatting, item.url);
		    });
		}
		
		max_id = cid;
		
		jQuery(result_div_gweb).html(output);
		
		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);
		}

	});
	
}

function search_google_img (page_num)  // Google Images
{   
	result_div_gimg = '#results-g-image';
	tmp = 1;

	q = "http://ajax.googleapis.com/ajax/services/search/images?q="+escape(phrase)+"&v=1.0&rsz=8";
	if(img_lic_google != 'no_licensing')
	{
		q = q + "&as_rights=" + img_lic_google;
	}
	jQuery.getJSON( q + "&rsz=8&start="+tmp+"&callback=?",

	function(data){
		var output='';
		min_id = cid;

		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			jQuery.each(data.responseData.results, function(i,item){           
		    	var res = '';
				res = res+'<p style="min-height:75px"><a target="_blank" href="'+ item.unescapedUrl +'" ><img src="' + item.tbUrl + '" width="75px" height="75px" alt="'+ item.titleNoFormatting +'" style="float:left;padding-right:5px;"/><strong>'+ item.titleNoFormatting + '</strong></a><br/><a target="_blank" href="'+ item.originalContextUrl +'" >'+ item.originalContextUrl + '</a></p>';
		           
			});
		}
		
		max_id = cid;
		
		jQuery(result_div_gimg).html(output);

		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);
		}
				  
	});
}

function search_google_news ()  // Google News
{   
	result_div_gnews = '#results-g-news';
	tmp = 1;
	
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/news?q="+escape(phrase)+"&v=1.0&scoring=d&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			jQuery.each(data.responseData.results, function(i,item){           
		    	var res = '';
				res = res + '<a target="_blank" style="text-decoration:none;" href="'+item.unescapedUrl+'"><strong>'+ item.titleNoFormatting+'</strong></a><br />'+ item.publisher + ', ' + item.location + ' on ' + item.publishedDate + '<br />' + item.content;
		          	
			output = output + format_result(res, item.titleNoFormatting, item.unescapedUrl);
			});
		}

		max_id = cid;
		
		jQuery(result_div_gnews).html(output);

		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);
		}
				  
	});
}

function search_google_blogs ()  // Google Blogs
{   
	result_div_gblog = '#results-g-blogs';
	tmp = 1;
	
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/blogs?q="+escape(phrase)+"&v=1.0&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			jQuery.each(data.responseData.results, function(i,item){           
		    	var res = '';
				res = res + '<a target="_blank" style="text-decoration:none;" href="'+item.postUrl+'"><strong>'+ item.titleNoFormatting+'</strong></a> <br />'+item.blogUrl+'<br />'+item.content;
		          	
				output = output + format_result(res, item.titleNoFormatting, item.postUrl);
			});
		}
		max_id = cid;
		
		jQuery(result_div_gblog).html(output);


		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}
				  
	});
}

function search_google_books ()  // Google Books
{   
	result_div_gbook = '#results-g-books';
	tmp = 1;
	
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/books?q="+escape(phrase)+"&v=1.0&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			jQuery.each(data.responseData.results, function(i,item)
			{
		    	var res = '';
				res = res + '<a target="_blank" style="text-decoration:none;" href="'+item.unescapedUrl+'"><strong>'+ item.titleNoFormatting+'</strong></a> <br />'+ item.authors+', published '+item.publishedYear+', '+item.pageCount+' pages';
				
				output = output + format_result(res, item.titleNoFormatting, item.unescapedUrl);
			});
		}
		max_id = cid;
				
		jQuery(result_div_gbook).html(output);

		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}
				  
	});
}

function search_blekko () // Blekko
{
	tmp = 1;
	result_div_blekko = '#results-blekko';
	
	jQuery.getJSON("http://blekko.com/ws/?q="+escape(phrase)+"+/json+/ps=8+/p="+tmp+"&callback=?",
	
	function(data){
		var output='';
		min_id = cid;
		if (!data.total_num)
			output='No results matching "'+phrase+'".';
		else
		{
			tot = (data.nav_page_range_end - data.nav_page_range_start + 1) * 8;
			
			jQuery.each(data.RESULT, function(i,item)
			{
				var res = '';	
				res = res +'<a target="_blank" style="text-decoration:none;"href="'+item.url+'"><strong>' + item.url_title + '</strong></a>' 
				res = res + '<br>'+ item.url +' <br>' + item.snippet;
				
				output = output + format_result(res, item.url_title.replace(/<strong>/g,"").replace(/<\/strong>/g,""), item.url);
			});
		}
		
		max_id = cid;
		
		jQuery(result_div_blekko).html(output);


		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
}

function search_yt ()  // Youtube
{
	tmp = 1;
	result_div_yt = '#results-youtube';

	// request query
	jQuery.getJSON('http://gdata.youtube.com/feeds/api/videos?q='+escape(phrase)+'&v=2&alt=jsonc&max-results=8&start-index='+ tmp +'&callback=?',
	function(data)
	{
		var output='';
		min_id = cid;
		
		if (!data.data.totalItems)
			output='No results matching "'+phrase+'".';
		else
		{
			jQuery.each(data.data.items, function(i,item)
			{
				var res = '';
									
				res = res + '<p style="padding:2px; min-height:100px"><a target="_blank" href="'+ item.player.default +'" ><img src="' + item.thumbnail.sqDefault + '" width="100px" height="100px" alt="'+ item.title +'" style="float:left;padding-right:5px;"/><strong>'+ item.title + '</strong></a><br/>' + item.description + '</p>';
				
				output = output + format_result(res, item.title, item.player.default, item.id);
			});
		}
		
		max_id = cid;
		
		jQuery(result_div_yt).html(output);

		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
}

function search_twitter () // Twitter
{
	result_div_twitter = '#results-twitter';
	page_num = 1;
	
	// request query
	jQuery.getJSON('http://search.twitter.com/search.json?q='+escape(phrase)+'&rpp=8&page=' + page_num + '&include_entities=true&result_type=mixed&callback=?',
	function(data)
	{
		var output='';
		min_id = cid;
		
		if (!data.results.length)
			output='No results matching "'+ phrase +'".';
		else
		{
			jQuery.each(data.results, function(i,item)
			{
				var res = '';
				res = res +'<a target="_blank" href="http://twitter.com/#!/'+item.from_user+'"><strong>@' + item.from_user + '</strong></a>' 
				res = res + '<br>' + item.text;
		           
				output = output + format_result(res, "@" + item.from_user, "http://twitter.com/"+item.from_user);
			});
		}
		
		max_id = cid;

		jQuery(result_div_twitter).html(output);

		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
}

function search_flickr () // Flickr
{
	result_div_flickr = '#results-flickr';
	page_num = 1;

	// request query
	q = "http://api.flickr.com/services/rest/?method=flickr.photos.search&tags="+escape(phrase)+"&per_page=8";
	if(img_lic_flickr != 'no_licensing')
	{
		q = q + "&license=" + img_lic_flickr;
	}
	jQuery.getJSON(q + '&page=' + page_num + '&format=json&api_key=72c75157d9ef89547c5a7b85748106e4&jsoncallback=?',
	function(data)
	{
		var output='';
		min_id = cid;
		
		if (data.photos.total < 1)
			output='No results matching "'+ phrase +'".';
		else
		{
			jQuery.each(data.photos.photo, function(i,item)
			{
				var res = '';
				res = res+'<p style="min-height:75px"><a target="_blank" style="text-decoration:none;" href="http://www.flickr.com/photos/' + item.owner + '/' + item.id + '"><img src="http://farm' + item.farm + '.static.flickr.com/' + item.server + '/' + item.id + '_' + item.secret + '_s.jpg" width="75px" height="75px" alt="'+ item.title +'" style="float:left;padding-right:5px;"/><strong>'+ item.title + '</strong><br/></a></p>';
		           					  
				output = output + format_result(res, item.title, 'http://www.flickr.com/photos/' + item.owner + '/' + item.id );
			});
		}
		
		max_id = cid;
	
		jQuery(result_div_flickr).html(output);

		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);
		}

	});
}

function search_slideshare () // Slide Share
{
	page_num = 1;
	result_div_slide = '#results-slideshare';

	jQuery.getJSON("http://www.slideshare.net/search/slideshow.json?type=presentations&q="+escape(phrase)+"&items_per_page=8&page="+page_num+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		
		if (!data.search_results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			jQuery.each(data.search_results, function(i,item)
			{
				var res = '';	
				
				res = res + '<p style="min-height:90px"><a target="_blank" href="http://www.slideshare.net/'+ item.user_login + '/' + item.stripped_title +'">';
				res = res + '<img src="http://cdn.slidesharecdn.com/' + item.ppt_location + '-thumbnail-2" width="120px" height="90px" alt="'+ item.title +'" style="float:left;padding-right:5px;"/>';
				res = res + '<strong>'+ item.title + '</strong></a><br/>';
				res = res + 'from '+ item.user_login + ', '+ item.time_ago + ' ago in '+ item.category + '<br/>' + item.description + '</p>';
				
			});
		}
		
		max_id = cid;
		
		jQuery(result_div_slide).html(output);

		if(max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);
		}

	});
}