// Curation Plugin for WordPress
var tid = 0, cid = 0;
var phrase = '';
var first_option;


function send_wp_editor(html) {
    var win = window.dialogArguments || opener || parent || top;
    win.send_to_editor(html);

    // alternatively
    // tinyMCE.execCommand("mceInsertContent", false, html);
}

function format_result(string, title, lnk, vid)
{
	var out = '';

	tid = tid + 1;
	cid = cid + 1;

	out = out + '<span style="float:left;">';
	out = out + '<img class="sv-draft" src="' + baseurl + 'css/images/save.png" alt="Save as Draft" onclick="save_draft(\'tid_' + tid + '\',\'cid_' + cid + '\');" />';
	out = out + '</span>';
	out = out + '<div class="result-div">';
	out = out + '<span style="float:right;">';
	out = out + '<input type="button" class="res-button" onclick="title_gen(\'tid_' + tid + '\');" value = "Set As Post Title" />';
	out = out + '<input type="button" class="res-button" onclick="insert_res_post(\'cid_' + cid + '\',\'ifr_exp_'+tid+'\');" value = "Insert Result to Post" />';
	out = out + '<input type="button" class="res-button" onclick="insert_link(\'lnk_' + tid + '\');" value = "Insert Link Only" /></span>';
	out = out + '<span id="tid_'+ tid +'" style="position:absolute; visibility:hidden;">';
	out = out + title;
	out = out + '</span>';
	out = out + '<span id="lnk_'+ tid +'" style="position:absolute; visibility:hidden;">';
	out = out + lnk;
	out = out + '</span>';
	out = out + '<span id="cid_'+ cid +'" style="width:80%;">';
	out = out + string;
	out = out + '</span>';
	
	
	if( lnk.search("youtube") != -1 && vid )
	{
			 /* Added width/height params - Fred Bliss 11/23/2012 */
			out = out + '<input id="btn_exp_'+ tid +'" type="button" class="button" onclick="show_video(\'exp_' + tid + '\',\'' + vid + '\');" value = "Watch Video" /><input type="button" class="button" onclick="insert_video(\'' + vid + '\');" value = "Insert Video" /><p id="exp_'+ tid +'"></p>';	
			/* END Modified code (FB) */
	}
	else if ( lnk.search("slideshare") != -1 && vid )
	{
		out = out + '<input id="btn_exp_'+ tid +'" type="button" class="button" onclick="slide_show(\'exp_' + tid + '\',\'' + vid + '\');" value = "View Slide Show" /><input type="button" class="button" style="width:auto;" onclick="insert_slide_show(\'' + vid + '\');" value = "Insert Slide Show" /><p id="exp_'+ tid +'"></p>';	
	}
	else if (lnk.search("flickr") == -1 && lnk.search("twitter") == -1)
	{
		lnk = lnk.replace("http://", "");
		/* Added refreshFrame to work around same-origin policy on iframed content - this enabled selection of content & html/text view - Fred Bliss 12/1/2012 */
		out = out + '<br><input id="btn_exp_'+ tid +'" type="button" class="button" onclick="expand(\'exp_' + tid + '\',\'lnk_' + tid + '\','+tid+');" value = "Expand" /><a id="hl_exp_'+tid+'" onclick="refreshFrame(\'hl_exp_'+tid+'\',\'ifr_exp_' + tid + '\',\'../wp-content/plugins/wp-curation/curation-scraper.php?url='+lnk+'&amp;action=cc&amp;mode=text\');" style="display:none;" class="button">Show Text-Only Version</a><p id="exp_'+ tid +'"></p>';	
		/* END Modified code (FB) */
	}

	out = out + '</div>';

	return out;
}

/** refresh frame mode html or text  - Fred Bliss 12/1/2012 **/
function refreshFrame(id,pid,url) {	
	var newurl = '';	
	
	if(url.indexOf('mode=html')>=0) {
		newurl = url.replace('mode=html','mode=text');
		jQuery('#'+id).text('Show text-only version');
	} else if(url.indexOf('mode=text')>=0) {
		newurl = url.replace('mode=text','mode=html');
		jQuery('#'+id).text('Show HTML version');
	}
	
	jQuery('#'+id).attr('onclick','refreshFrame(\''+id+'\',\''+pid+'\',\''+newurl+'\')');

	jQuery('#'+pid).attr('src',url);
}
/* END Modified code (FB) */

function title_gen(title_id)
{
	document.getElementById("title-prompt-text").style.visibility = 'hidden';
	document.getElementsByName("post_title")[0].value = document.getElementById(title_id).innerHTML;
}

function insert_res_post(cont_id,iframe_id)
{
	send_wp_editor(insert_selection(cont_id,iframe_id) + '<p></p>');
}

function insert_link(lnk_id)
{
	send_wp_editor( document.getElementById(lnk_id).innerHTML + '<p></p>');
}

/** integrated text selection functionality  - Fred Bliss 12/1/2012 **/
function insert_selection(cont_id,iframe_id)
{	

	var txt = '';
    var doc = '';
		
	var iframe = jQuery('#'+iframe_id+':visible');
	
	if(iframe.length)
	{
		var txt = getSelectedText(iframe);
	}
	
	if(txt=='' || txt=='undefined') {
		txt = jQuery('#'+cont_id).html(); //grab only the synopsis and put a link in to the full piee.
	} else {
		txt = txt+'<!--more-->';	
	}
	
	return txt;
	//alert( txt );
}

function getSelectedText(iframe) {
	
	var win = iframe.contents();
  	
	var doc = iframe.contents().get(0);

	if (win.getSelection) {		
		return win.getSelection();
	} else if (doc.getSelection) {		
		return doc.getSelection();
	} else if (doc.selection) {		
		return doc.selection.createRange().text;
	} else {
		return '';	
	}
}
/* END Modified code (FB) */

function pagination(rs_count, page_num, func)
{
	var page_count = Math.ceil(rs_count/8);
	var page_list = '';
	var i;
	
	if(page_count > 8)
	{
		page_count = 8;
	}
	
	page_list = '<p align="center">';

	for (i = 1; i <= page_count; i++)
	{
		page_list = page_list + '<input id="page-link" type="button" value="' + i + '" onclick="'+ func +'(this.value);"';
		if(i == page_num)
		{
			page_list = page_list + 'disabled="disabled"';
		}
		page_list = page_list + ' />';
	}
	page_list = page_list + '</p>';
	
	return page_list;
}

function search_tabs(resultdiv)
{
	var cont = jQuery(resultdiv).html();
	jQuery('#search-results').html(cont);
	
	for (x in tabs)
	{
		try
		{
			if(tabs[x] == resultdiv)
			{
				document.getElementById(x).disabled = true;
			}
			else
			{
				document.getElementById(x).disabled = false;
			}
		}
		catch(err){}
	}
}

/* Save Draft Function */
function showResult(data) {
	alert(data);
}

function save_draft(tid, cid)
{   		
	var tmp = jQuery('#'+tid).html();

	jQuery('#post-title').val(tmp);
	tmp = jQuery('#'+cid).html();
	jQuery('#post-content').val(tmp);
	jQuery("#draft_form").ajaxSubmit({success:showResult});
}
/* End Save Draft Function */

function collapse(pid)
{
	jQuery("#hl_"+pid).hide(); //added by Fred Bliss 12/1/2012
	document.getElementById(pid).style.height = '0px';
	document.getElementById(pid).style.visibility = 'hidden';
	document.getElementById('btn_' + pid).value = 'Expand';
	document.getElementById('btn_' + pid).onclick = function () {
  		expand2(pid);		
	};
}

function expand2(pid)
{
	jQuery("#hl_"+pid).show(); //added by Fred Bliss 12/1/2012
	document.getElementById(pid).style.height = '450px';
	document.getElementById(pid).style.visibility = 'visible';
	document.getElementById('btn_' + pid).value = 'Collapse';
	document.getElementById('btn_' + pid).onclick = function () {
  		collapse(pid);
	};
}

/* Added ajax page scrape alternative to iframe for same-domain policy workaround - Fred Bliss 11/24/2012 */
function expand(pid, iurl)
{
	var lnk = jQuery("#"+iurl).html();
	
	lnk = lnk.replace("http://", "");

	searchReponse = '<iframe id="ifr_'+pid+'" src="../wp-content/plugins/wp-curation/curation-scraper.php?url='+lnk+'&amp;action=cc&amp;mode=html" height="450px" width="100%"></iframe>';
	jQuery("#"+pid).html(searchReponse);
	
	//Show viewing mode link
	jQuery("#hl_"+pid).show();
	
	document.getElementById('btn_' + pid).value = 'Collapse';
	document.getElementById('btn_' + pid).onclick = function () {
		collapse(pid);		
	};						
}
/* END custom code (FB) */

function show_video( pid, ytfile)  /* Added width/height support - Fred Bliss 11/23/2012 */
{
	
	var lnk = '<p align="center"><object type="application/x-shockwave-flash" width="'+window.std_width+'" height="'+window.std_height+'" data="http://www.youtube.com/v/'+ytfile+'&amp;rel=0&amp;fs=1"><param name="movie" value="http://www.youtube.com/v/'+ytfile+'&amp;rel=0&amp;fs=1"></param><param name="allowFullScreen" value="true"></param><param name="wmode" value="transparent" /></object></p>';

	document.getElementById('btn_' + pid).value = 'Collapse';
	document.getElementById('btn_' + pid).onclick = function () {
  		collapse(pid);
	};
	jQuery("#"+pid).html(lnk);	
} /* END Modified code (FB) */

function slide_show( pid, emcode )
{
	var lnk = '<p align="center"><iframe src="http://www.slideshare.net/slideshow/embed_code/'+ emcode +'" width="525" height="440" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" style="border:1px solid #CCC;border-width:1px 1px 0" allowfullscreen></iframe></p>';

	document.getElementById('btn_' + pid).value = 'Collapse';
	document.getElementById('btn_' + pid).onclick = function () {
  		collapse(pid);
	};
	jQuery("#"+pid).html(lnk);	
}

function insert_video( ytfile ) /* Added width/height params - Fred Bliss 11/23/2012 */
{
	var lnk = '<object type="application/x-shockwave-flash" width="'+window.std_width+'" height="'+window.std_height+'" data="http://www.youtube.com/v/'+ytfile+'&amp;rel=0&amp;fs=1"><param name="movie" value="http://www.youtube.com/v/'+ytfile+'&amp;rel=0&amp;fs=1"></param><param name="allowFullScreen" value="true"></param><param name="wmode" value="transparent" /></object>';

	send_wp_editor( lnk  + '<p></p>');
} /* END Modified code (FB) */

function insert_slide_show( sid )
{
	var lnk = '<iframe src="http://www.slideshare.net/slideshow/embed_code/'+ sid +'" width="525" height="440" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" style="border:1px solid #CCC;border-width:1px 1px 0" allowfullscreen></iframe>';

	send_wp_editor( lnk  + '<p></p>');
}

//function to get random number
function rand_id(minVal,maxVal)
{
  var randVal = minVal+(Math.random()*(maxVal-minVal));
  return Math.round(randVal);
}

function checkall()
{
	for (x in chkbox)
	{
		document.getElementById(x).checked = true; 
	}

	document.getElementById('chk_all').onclick = function () {
		uncheckall();
	};
}

function uncheckall()
{
	for (x in chkbox)
	{
		document.getElementById(x).checked = false; 
	}

	document.getElementById('chk_all').onclick = function () {
		checkall();
	};
}

// setup everything when document is ready
jQuery(document).ready(function($) {

    // initialize variables
	var btn = '';
	var page = 0;
	
    function submit_me() {

		first_option = 1;
		// reset variables
		tid = 0;
		cid = 0;

        // check if the search string is empty
        if ($('#string-search').val().length == 0) {
            $('#search-results').html('');
            return;
        }

        // get the search phrase
        phrase = $('#string-search').val();
       
        $('#search-tabs').html('LOADING Results . . . .');
                  
        if ($('#chk_g_web').attr('checked') == "checked")  // google
        {   
			result_div_gweb = '#results-gweb';
			btn = btn + '<input id="tab_g_web" class="button" type="button" value="Google" onclick="search_tabs(result_div_gweb);" />';
			   
			search_google(1);
        }

        if ($('#chk_wiki').attr('checked') == "checked") // wikipedia
       	{
       		result_div_wiki = '#results-wiki';
			btn = btn + '<input id="tab_wiki" class="button" type="button" value="Wikipedia" onclick="search_tabs(result_div_wiki);" />';
			   // request query
       		$.getJSON('http://en.wikipedia.org/w/api.php?action=query&list=search&srwhat=text&srlimit=10&srsearch='+escape(phrase)+'&format=json&callback=?',
		    function(data){
		          var output='';
				  min_id = cid;
				  
		          var wikipediaUrl = "http://en.wikipedia.org/wiki/";
		          if (!data.query.search.length)
		        		output='No results matching "'+phrase+'".';
		          else
		          $.each(data.query.search, function(i,item){
					  var res = '';   
					  res = res+'<a target="_blank" style="text-decoration:none;" href="'+ wikipediaUrl + item.title.replace(/ /g, "_")+'" ><strong>'+item.title+ '</strong></a><br>' + item.snippet;                  

					  output = output + format_result(res, item.title, wikipediaUrl + item.title.replace(/ /g, "_"));
		          });
		          
				max_id = cid;

				jQuery(result_div_wiki).html(output);
				  
				if(first_option)
				{
					first_option = 0;
				}
				search_tabs(result_div_wiki);

				if(create_random_post && max_id-min_id)
				{
					rand = rand_id(min_id, max_id);
					insert_res_post("cid_" + rand);
					html = '<p></p>';
					send_wp_editor(html)				
				}

       		});
       	} 

        if ($('#chk_youtube').attr('checked') == "checked") // Youtube
       	{
			result_div_yt = '#results-youtube';
			btn = btn + '<input id="tab_youtube" class="button" type="button" value="Youtube" onclick="search_tabs(result_div_yt);" />';

       		search_yt(1);
       	} 
               
        if ($('#chk_blekko').attr('checked') == "checked") // Blekko
        {   
			   result_div_blekko = '#results-blekko';
			   btn = btn + '<input id="tab_blekko" class="button" type="button" value="Blekko" onclick="search_tabs(result_div_blekko);" />';

			search_blekko(1);
        }

        if ($('#chk_twitter').attr('checked') == "checked") // Twitter
        {   
			result_div_twitter = '#results-twitter';
			btn = btn + '<input id="tab_twitter" class="button" type="button" value="Twitter" onclick="search_tabs(result_div_twitter);" />';
			   
			search_twitter(1);
        }

        if ($('#chk_flickr').attr('checked') == "checked")  // Flickr
        {   
			result_div_flickr = '#results-flickr';
			btn = btn + '<input id="tab_flickr" class="button" type="button" value="Flickr" onclick="search_tabs(result_div_flickr);" />';
			   
			search_flickr(1);
        }

        if ($('#chk_slideshare').attr('checked') == "checked")  // slide share
        {   
			result_div_slide = '#results-slideshare';
			btn = btn + '<input id="tab_slideshare" class="button" type="button" value="Slide Share" onclick="search_tabs(result_div_slide);" />';
			
			search_slideshare(1);

			/*
			api_key = 'dPhc7aXV';
			shared_secret = 'Z3Us7OAP';
			ts = Math.round((new Date()).getTime() / 1000);
			hash = CryptoJS.SHA1(shared_secret + ts);
$.getJSON("http://www.slideshare.net/api/2/search_slideshows?api_key="+api_key+"&ts="+ts+"&hash="+hash+"&q="+escape(phrase)+"&v=1.0&num=10&callback=?",
			*/
        }

        if ($('#chk_g_image').attr('checked') == "checked")  // Google Images
        {   
			result_div_gimg = '#results-g-image';
			btn = btn + '<input id="tab_g_image" class="button" type="button" value="Google Images" onclick="search_tabs(result_div_gimg);" />';
			   
			search_google_img(1);
        }

        if ($('#chk_g_news').attr('checked') == "checked")  // news
        {   
			result_div_gnews = '#results-g-news';
			btn = btn + '<input id="tab_g_news" class="button" type="button" value="Google News" onclick="search_tabs(result_div_gnews);" />';
		       
			search_google_news(1);
        }
        				
		if ($('#chk_g_blogs').attr('checked') == "checked")  // Google Blogs
        {   
			result_div_gblog = '#results-g-blogs';
			btn = btn + '<input id="tab_g_blogs" class="button" type="button" value="Google Blogs" onclick="search_tabs(result_div_gblog);" />';
		       
			search_google_blogs(1);
        }
    
        if ($('#chk_g_books').attr('checked') == "checked")  // Google Books
        {           	
			result_div_gbook = '#results-g-books';
			btn = btn + '<input id="tab_g_books" class="button" type="button" value="Google Books" onclick="search_tabs(result_div_gbook);" />';
			   
			search_google_books(1);
        }
				
		document.getElementById("search-tabs").innerHTML = btn;
		btn = '';
		return;
    }
	/* End submit_me func */
	
   	// Search button onClick action
    $('#search-submit').click(function() {
		create_random_post = 0;
        submit_me();
    });

   	// Search button onClick action
    $('#random-post-submit').click(function() {
        create_random_post = 1;
		crp_index = 1;
		submit_me();

		document.getElementById("title-prompt-text").style.visibility = 'hidden';
		document.getElementsByName("post_title")[0].value = phrase;
    });

    // check for ENTER or ArrowDown keys
    $('#string-search').keypress(function(e) {
        if (e.keyCode == 13 || e.keyCode == 40) {
            submit_me();
            return false;
        }

    });	

});

function search_google (page_num)  // google
{   
	result_div_gweb = '#results-gweb';
	tmp = (page_num-1) * 8;

	// request query
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/web?q="+escape(phrase)+"&v=1.0&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google');
			jQuery.each(data.responseData.results, function(i,item){
			var res = ''; 
			res = res +'<a target="_blank" href="'+ item.url +'"><strong>'+ item.titleNoFormatting+'</strong></a>' 
			res = res + '<br>'+ item.url +' <br>' + item.content;
			output = output + format_result(res, item.titleNoFormatting, item.url);
		    });
		}
		
		max_id = cid;
		
		output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google');
		
		jQuery(result_div_gweb).html(output);
		
		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_gweb);

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
	
}

function search_google_img (page_num)  // Google Images
{   
	result_div_gimg = '#results-g-image';
	tmp = (page_num-1) * 8;

	q = "http://ajax.googleapis.com/ajax/services/search/images?q="+escape(phrase)+"&v=1.0&rsz=8";
	if(img_lic_google != 'no_licensing')
	{
		q = q + "&as_rights=" + img_lic_google;
	}
	jQuery.getJSON( q + "&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_img');
			jQuery.each(data.responseData.results, function(i,item){           
		    	var res = '';
				res = res+'<p style="min-height:75px"><a target="_blank" href="'+ item.unescapedUrl +'" ><img src="' + item.tbUrl + '" width="75px" height="75px" alt="'+ item.titleNoFormatting +'" style="float:left;padding-right:5px;"/><strong>'+ item.titleNoFormatting + '</strong></a><br/><a target="_blank" href="'+ item.originalContextUrl +'" >'+ item.originalContextUrl + '</a></p>';
		           
				output = output + format_result(res, item.titleNoFormatting,item.unescapedUrl);
			});
		}
		
		max_id = cid;
		
		output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_img');
		jQuery(result_div_gimg).html(output);

		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_gimg);	

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}
				  
	});
}

function search_google_news (page_num)  // Google News
{   
	result_div_gnews = '#results-g-news';
	tmp = (page_num-1) * 8;
	
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/news?q="+escape(phrase)+"&v=1.0&scoring=d&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_news');
			jQuery.each(data.responseData.results, function(i,item){           
		    	var res = '';
				res = res + '<a target="_blank" style="text-decoration:none;" href="'+item.unescapedUrl+'"><strong>'+ item.titleNoFormatting+'</strong></a><br />'+ item.publisher + ', ' + item.location + ' on ' + item.publishedDate + '<br />' + item.content;
		          	
			output = output + format_result(res, item.titleNoFormatting, item.unescapedUrl);
			});
		}

		max_id = cid;
		
		output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_news');
		jQuery(result_div_gnews).html(output);

		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_gnews);	

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}
				  
	});
}

function search_google_blogs (page_num)  // Google Blogs
{   
	result_div_gblog = '#results-g-blogs';
	tmp = (page_num-1) * 8;
	
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/blogs?q="+escape(phrase)+"&v=1.0&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_blogs');
			jQuery.each(data.responseData.results, function(i,item){           
		    	var res = '';
				res = res + '<a target="_blank" style="text-decoration:none;" href="'+item.postUrl+'"><strong>'+ item.titleNoFormatting+'</strong></a> <br />'+item.blogUrl+'<br />'+item.content;
		          	
				output = output + format_result(res, item.titleNoFormatting, item.postUrl);
			});
		}
		max_id = cid;
		
		output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_blogs');
		jQuery(result_div_gblog).html(output);

		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_gblog);	

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}
				  
	});
}

function search_google_books (page_num)  // Google Books
{   
	result_div_gbook = '#results-g-books';
	tmp = (page_num-1) * 8;
	
	jQuery.getJSON("http://ajax.googleapis.com/ajax/services/search/books?q="+escape(phrase)+"&v=1.0&rsz=8&start="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		if (!data.responseData.results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_books');
			jQuery.each(data.responseData.results, function(i,item)
			{
		    	var res = '';
				res = res + '<a target="_blank" style="text-decoration:none;" href="'+item.unescapedUrl+'"><strong>'+ item.titleNoFormatting+'</strong></a> <br />'+ item.authors+', published '+item.publishedYear+', '+item.pageCount+' pages';
				
				output = output + format_result(res, item.titleNoFormatting, item.unescapedUrl);
			});
		}
		max_id = cid;
				
		output = output + pagination(data.responseData.cursor.estimatedResultCount, page_num, 'search_google_books');
		jQuery(result_div_gbook).html(output);

		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_gbook);	

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}
				  
	});
}

function search_blekko (page_num) // Blekko
{
	tmp = page_num - 1;
	result_div_blekko = '#results-blekko';
	jQuery.getJSON("http://blekko.com/ws/?q="+escape(phrase)+"+/json+/ps=8+/p="+tmp+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		if (!data.total_num)
			output='No results matching "'+phrase+'".';
		else
		{
			tot = (data.nav_page_range_end - data.nav_page_range_start + 1) * 8;
			
			output = output + pagination(tot, page_num, 'search_blekko');
			jQuery.each(data.RESULT, function(i,item)
			{
				var res = '';	
				res = res +'<a target="_blank" style="text-decoration:none;"href="'+item.url+'"><strong>' + item.url_title + '</strong></a>' 
				res = res + '<br>'+ item.url +' <br>' + item.snippet;
				
				output = output + format_result(res, item.url_title.replace(/<strong>/g,"").replace(/<\/strong>/g,""), item.url);
			});
		}
		
		max_id = cid;
		
		output = output + pagination(tot, page_num, 'search_blekko');
		
		jQuery(result_div_blekko).html(output);

		if(first_option)
		{			
			first_option = 0;
		}
		
		search_tabs(result_div_blekko);

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
}

function search_yt (page_num)  // Youtube
{
	tmp = ((page_num-1) * 8) + 1;
	result_div_yt = '#results-youtube';

	// request query
	jQuery.getJSON('http://gdata.youtube.com/feeds/api/videos?q='+escape(phrase)+'&v=2&alt=jsonc&max-results=8&start-index='+ tmp +'&callback=?',
	function(data)
	{
		var output='';
		min_id = cid;
		
		if (!data.data.totalItems)
			output='No results matching "'+phrase+'".';
		else
		{
			output = output + pagination(data.data.totalItems, page_num, 'search_yt');
			jQuery.each(data.data.items, function(i,item)
			{
				var res = '';
									
				res = res + '<p style="padding:2px; min-height:100px"><a target="_blank" href="'+ item.player.default +'" ><img src="' + item.thumbnail.sqDefault + '" width="100px" height="100px" alt="'+ item.title +'" style="float:left;padding-right:5px;"/><strong>'+ item.title + '</strong></a><br/>' + item.description + '</p>';
				
				output = output + format_result(res, item.title, item.player.default, item.id);
			});
		}
		
		max_id = cid;
		
		output = output + pagination(data.data.totalItems, page_num, 'search_yt');
		
		jQuery(result_div_yt).html(output);

		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_yt);

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
}

function search_twitter (page_num) // Twitter
{
	result_div_twitter = '#results-twitter';

	// request query
	jQuery.getJSON('http://search.twitter.com/search.json?q='+escape(phrase)+'&rpp=8&page=' + page_num + '&include_entities=true&result_type=mixed&callback=?',
	function(data)
	{
		var output='';
		min_id = cid;
		
		if (!data.results.length)
			output='No results matching "'+ phrase +'".';
		else
		{
			jQuery.each(data.results, function(i,item)
			{
				var res = '';
				res = res +'<a target="_blank" href="http://twitter.com/#!/'+item.from_user+'"><strong>@' + item.from_user + '</strong></a>' 
				res = res + '<br>' + item.text;
		           
				output = output + format_result(res, "@" + item.from_user, "http://twitter.com/"+item.from_user);
			});
		}
		
		max_id = cid;

		jQuery(result_div_twitter).html(output);

		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_twitter);

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
}

function search_flickr (page_num) // Flickr
{
	result_div_flickr = '#results-flickr';

	// request query
	q = "http://api.flickr.com/services/rest/?method=flickr.photos.search&tags="+escape(phrase)+"&per_page=8";
	if(img_lic_flickr != 'no_licensing')
	{
		q = q + "&license=" + img_lic_flickr;
	}
	jQuery.getJSON(q + '&page=' + page_num + '&format=json&api_key=72c75157d9ef89547c5a7b85748106e4&jsoncallback=?',
	function(data)
	{
		var output='';
		min_id = cid;
		
		if (data.photos.total < 1)
			output='No results matching "'+ phrase +'".';
		else
		{
			output = output + pagination(data.photos.total, page_num, 'search_flickr');
			jQuery.each(data.photos.photo, function(i,item)
			{
				var res = '';
				res = res+'<p style="min-height:75px"><a target="_blank" style="text-decoration:none;" href="http://www.flickr.com/photos/' + item.owner + '/' + item.id + '"><img src="http://farm' + item.farm + '.static.flickr.com/' + item.server + '/' + item.id + '_' + item.secret + '_s.jpg" width="75px" height="75px" alt="'+ item.title +'" style="float:left;padding-right:5px;"/><strong>'+ item.title + '</strong><br/></a></p>';
		           					  
				output = output + format_result(res, item.title, 'http://www.flickr.com/photos/' + item.owner + '/' + item.id );
			});
		}
		
		max_id = cid;

		output = output + pagination(data.photos.total, page_num, 'search_flickr');
		
		jQuery(result_div_flickr).html(output);

		if(first_option)
		{
			first_option = 0;
		}
		search_tabs(result_div_flickr);

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);

		}

	});
}

function search_slideshare (page_num) // Slide Share
{
	result_div_slide = '#results-slideshare';
	jQuery.getJSON("http://www.slideshare.net/search/slideshow.json?type=presentations&q="+escape(phrase)+"&items_per_page=8&page="+page_num+"&callback=?",
	function(data){
		var output='';
		min_id = cid;
		
		if (!data.search_results.length)
			output='No results matching "'+phrase+'".';
		else
		{
			output = output + pagination(data.total_results, page_num, 'search_slideshare');
			jQuery.each(data.search_results, function(i,item)
			{
				var res = '';	
				
				res = res + '<p style="min-height:90px"><a target="_blank" href="http://www.slideshare.net/'+ item.user_login + '/' + item.stripped_title +'">';
				res = res + '<img src="http://cdn.slidesharecdn.com/' + item.ppt_location + '-thumbnail-2" width="120px" height="90px" alt="'+ item.title +'" style="float:left;padding-right:5px;"/>';
				res = res + '<strong>'+ item.title + '</strong></a><br/>';
				res = res + 'from '+ item.user_login + ', '+ item.time_ago + ' ago in '+ item.category + '<br/>' + item.description + '</p>';
				
				output = output + format_result(res, item.title, 'http://www.slideshare.net/'+ item.user_login + '/' + item.stripped_title, item.id);
			});
		}
		
		max_id = cid;
		
		output = output + pagination(data.total_results, page_num, 'search_slideshare');
		
		jQuery(result_div_slide).html(output);

		if(first_option)
		{			
			first_option = 0;
		}
		
		search_tabs(result_div_slide);

		if(create_random_post && max_id-min_id)
		{
			rand = rand_id(min_id, max_id);
			insert_res_post("cid_" + rand);
		}

	});
}