<?php  
  
  function random_result($maxVal)
  {
	  return rand(0,$maxVal);
  }
  
  function search_flickr($keyword, $mode = 'tags', $count = 8, $nonc = 0)
  {
  		
  		if ($nonc)
  			$license="4,6,7";
  		else
  			$license="2,3,4,6,7";  			
  			
      // prepare Flickr query
      $params = array('api_key' => '72c75157d9ef89547c5a7b85748106e4', 'method' => 'flickr.photos.search', 'format' => 'php_serial', 'tag_mode' => 'any', 'per_page' => $count, 'sort' => 'interestingness-desc', $mode => $keyword, 'license' => $license);
      
      $encoded_params = array();
      foreach ($params as $k => $v) {
          // encode parameters    
          $encoded_params[] = urlencode($k) . '=' . urlencode($v);
      }
      
      // call the Flickr API  
      $url = "http://api.flickr.com/services/rest/?" . implode('&', $encoded_params);
      
    
      $rsp = wp_remote_fopen($url);
     
      
      // decode the response
      $rsp_obj = unserialize($rsp);
      
      // if we have photos
      if ($rsp_obj && $rsp_obj['photos']['total'] > 0)
	  {
          $photo = $rsp_obj['photos']['photo'];
          if ($rsp_obj['photos']['total'] < 8)
		  {
		  	$num = random_result($rsp_obj['photos']['total']);
		  }
		  else
		  {
		  	$num = random_result(7);
		  }
		  // link to photo page
          $link = 'http://www.flickr.com/photos/' . $photo[$num]['owner'] . '/' . $photo[$num]['id'];
              
          // img src link
          $src = 'http://farm' . $photo[$num]['farm'] . '.static.flickr.com/' . $photo[$num]['server'] . '/' . $photo[$num]['id'] . '_' . $photo[$num]['secret'];
          
		  $title = $photo[$num]['title'];
          // create output
		  $output = '<p style="min-height:75px"><a target="_blank" style="text-decoration:none;" href="'.$link.'"><img src="'.$src. '_s.jpg" width="75px" height="75px" alt="'.$title.'" style="float:left;padding-right:5px;"/><strong>'.$title.'</strong><br/></a></p>';

      }
      return $output;
  }

 

function search_youtube($keyword)
{ 			
	$url = 'http://gdata.youtube.com/feeds/api/videos?q='.urlencode($keyword).'&v=2&alt=jsonc&max-results=8';
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	//curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);    
		
	$item = $json->data->items;
    
	if ($json->data->totalItems)
	{    
		if ($json->data->totalItems < 8)
		{
			$num = random_result($json->data->totalItems);
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<p style="padding:2px; min-height:100px"><a target="_blank" href="'. $item[$num]->player->default .'" ><img src="' . $item[$num]->thumbnail->sqDefault . '" width="100px" height="100px" alt="' . $item[$num]->title .'" style="float:left;padding-right:5px;"/><strong>'. $item[$num]->title . '</strong></a><br/>' . $item[$num]->description . '</p>';
	}
	return $output;		
}  
  
function search_wiki($keyword)
{					 			
  	$url='http://en.wikipedia.org/w/api.php?action=query&list=search&srwhat=text&srlimit=8&format=php&srsearch='.urlencode($keyword);
  		
  	$rsp = wp_remote_fopen($url);
      
    // decode the response
	$rsp_obj = unserialize($rsp);

    if ($rsp_obj)
	{
    	$item = $rsp_obj['query']['search'];
        
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}
        
		// display every post link and excerpt
        $output .= '<a href="http://en.wikipedia.org/wiki/'.str_replace(" ","_", $item[$num]['title']).'">
        <strong>' . $item[$num]["title"] . '</strong>
        </a><br>'.$item[$num]["snippet"];
    }

    return $output;
}
  
function search_blekko($keyword)
{
	$url = "http://blekko.com/ws/?q=" . urlencode($keyword) . "+/json+/ps=8";
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	//curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
    
		
	$item = $json->RESULT;
    if ($json->total_num)
	{    
		if ($json->total_num < 8)
		{
			$num = random_result($json->total_num);
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<a target="_blank" style="text-decoration:none;"href="' . $item[$num]->url . '"><strong>' . $item[$num]->url_title . '</strong></a><br>' . $item[$num]->url . ' <br>' . $item[$num]->snippet;
	}	
	return $output;
}

function search_twitter($keyword)
{
	$url = 'http://search.twitter.com/search.json?q='.urlencode($keyword).'&rpp=8&include_entities=true&result_type=mixed';
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	//curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
	
	//print_r( $json->responseData->results );
    	
	$item = $json->results;
    if (count($item))
	{    
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<a target="_blank" href="http://twitter.com/#!/'. $item[$num]->from_user .'"><strong>@' . $item[$num]->from_user . '</strong></a><br>' . $item[$num]->text;;
	}	
	return $output;
}

function search_slideshare($keyword)
{
	$url = 'http://www.slideshare.net/search/slideshow.json?type=presentations&q='.urlencode($keyword).'&items_per_page=8';
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	//curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
	
	//print_r( $json->responseData->results );
    	
	$item = $json->search_results;
    if (count($item))
	{    
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<p style="min-height:90px">';
		$output .= '<a href="http://www.slideshare.net/'.$item[$num]->user_login.'/'.$item[$num]->stripped_title.'"  target="_blank" ><img src="http://cdn.slidesharecdn.com/' . $item[$num]->ppt_location . '-thumbnail-2" width="120px" height="90px" alt="'. $item[$num]->stripped_title .'" style="float:left; padding-right:5px;" >' . $item[$num]->title . '</a><br>';
		$output .= 'from ' . $item[$num]->user_login . ', ' . $item[$num]->time_ago . ' ago in ' . $item[$num]->category . '<br>' . $item[$num]->description . '</p>';
	}	
	return $output;
}

function search_google($keyword)
{
	$url = "http://ajax.googleapis.com/ajax/services/search/web?v=1.0&q=".urlencode($keyword);
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
	
	//print_r( $json->responseData->results );
    	
	$item = $json->responseData->results;
    if (count($item))
	{    
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<a target="_blank" href="'. $item[$num]->url .'"><strong>'. $item[$num]->titleNoFormatting .'</strong></a>
		<br>'. $item[$num]->url .' <br>' . $item[$num]->content;
	}	
	return $output;
}

function search_google_images($keyword)
{
	$url = "http://ajax.googleapis.com/ajax/services/search/images?v=1.0&q=".($keyword);
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
	
	//print_r( $json->responseData->results );
    	
	$item = $json->responseData->results;
    if (count($item))
	{    
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<p style="min-height:75px"><a target="_blank" href="' . $item[$num]->unescapedUrl . '" ><img src="' . $item[$num]->tbUrl . '" width="75px" height="75px" alt="'. $item[$num]->titleNoFormatting .'" style="float:left;padding-right:5px;"/><strong>'. $item[$num]->titleNoFormatting . '</strong></a><br/><a target="_blank" href="' . $item[$num]->originalContextUrl . '" >' . $item[$num]->originalContextUrl . '</a></p>';
	}
	
	return $output;
}

function search_google_news($keyword)
{
	$url = "http://ajax.googleapis.com/ajax/services/search/news?v=1.0&q=".urlencode($keyword);
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
	
	//print_r( $json->responseData->results );
    	
	$item = $json->responseData->results;
    if (count($item))
	{    
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<a target="_blank" style="text-decoration:none;" href="'.$item[$num]->unescapedUrl .'"><strong>'. $item[$num]->titleNoFormatting .'</strong></a><br />'. $item[$num]->publisher . ', ' . $item[$num]->location . ' on ' . $item[$num]->publishedDate . '<br />' . $item[$num]->content;
	}
	
	return $output;
}

function search_google_blogs($keyword)
{
	$url = "http://ajax.googleapis.com/ajax/services/search/blogs?v=1.0&q=".urlencode($keyword);
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
	
	//print_r( $json->responseData->results );
    	
	$item = $json->responseData->results;
    if (count($item))
	{    
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<a target="_blank" style="text-decoration:none;" href="' . $item[$num]->postUrl . '"><strong>' . $item[$num]->titleNoFormatting . '</strong></a> <br />'. $item[$num]->blogUrl .'<br />' . $item[$num]->content;
		}
	
	return $output;
}

function search_google_books($keyword)
{
	$url = "http://ajax.googleapis.com/ajax/services/search/books?v=1.0&q=".urlencode($keyword);
	
	// sendRequest
	// note how referer is set manually
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_REFERER, "http://localhost");
	$body = curl_exec($ch);
	curl_close($ch);
	
	// now, process the JSON string
	$json = json_decode($body);
	
	//print_r( $json->responseData->results );
    	
	$item = $json->responseData->results;
    if (count($item))
	{    
		if (count($item) < 8)
		{
			$num = random_result(count($item));
		}
		else
		{
			$num = random_result(7);
		}

		$output = '<a target="_blank" style="text-decoration:none;" href="' . $item[$num]->unescapedUrl .'"><strong>' . $item[$num]->titleNoFormatting . '</strong></a> <br />' . $item[$num]->authors . ', published ' . $item[$num]->publishedYear . ', ' .$item[$num]->pageCount . ' pages';
		}
	
	return $output;
}

function exec_rand_post($keyword, $src_list)
{
	$content = "";
	if(in_array("Google",$src_list))
	{
		$content .= search_google($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Wikipedia",$src_list))
	{
		$content .= search_wiki($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Youtube",$src_list))
	{
		$content .= search_youtube($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Blekko",$src_list))
	{
		$content .= search_blekko($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Slide Share",$src_list))
	{
		$content .= search_slideshare($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Twitter",$src_list))
	{
		$content .= search_twitter($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Flickr",$src_list))
	{
		$content .= search_flickr($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Google Images",$src_list))
	{
		$content .= search_google_images($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Google News",$src_list))
	{
		$content .= search_google_news($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Google Blogs",$src_list))
	{
		$content .= search_google_blogs($keyword);
		$content .= '<p></p>';
	}
	if(in_array("Google Books",$src_list))
	{
		$content .= search_google_books($keyword);
	}
	return $content;
}
?>